---
updatedAt: 2025-09-18T22:20:12.000Z
agentTools:
  projectIndex: https://docs.nodereal.io/llms.txt
---

# nr_health

This API method will allow developers to check the health status of the MegaNode service.

It is a GET method to check the health status of the MegaNode service.

> 📘 Supported on BSC & Ethereum mainnet only.

## Parameters

`None`

## Returns

`None`

\`\`

## API Endpoint

The format of a MegaNode API endpoint is `https://{chain}-{network}.nodereal.io/v1/{API-key}`\
Here is an example:

`https://bsc-mainnet.nodereal.io/v1/4c0a1c23661a4e26bcbcwed461e34ea9`

For other chains or networks, you could refer to this guidance [Find API key & endpoint](find-api-key-endpoint).

## Example

```bash
curl --location --request GET 'https://bsc-mainnet.nodereal.io/v1/your-api-key/nr_health'
```

If the service status is normal, the return code is 200; otherwise, the return code is 500.